// C Source File
// Created 7/6/02; 2:02:46 PM

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

//#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

#define RETURN_VALUE //dlgret   // Return value in variable dlgret

short _ti89;                  // Produce .89Z File

// Main Function
void _main(void)
{
	//Create a dialog box in basic
	char *title, *message;
	int button1, button2;
	ESI argPtr;
	if (ArgCount() != 4) {
		DlgMessage("Bad arguments!", "\"title\", \"message\", button1, button2\n"
			"buttons: 0 = none, 1 = ok, 2 = save, 3 = yes, 4 = cancel, 5 = no, 6 = goto", BT_OK, BT_NONE);
		push_END_TAG();
	} else {
		InitArgPtr(argPtr);
		title = GetStrnArg(argPtr);
		message = GetStrnArg(argPtr);
		button1 = GetIntArg(argPtr);
		button2 = GetIntArg(argPtr);
		push_END_TAG();
		push_longint((long) DlgMessage(title, message, button1, button2));
	}
}
